package com.ElyStudio.leGaou.models;

import com.google.gson.annotations.SerializedName;

public class PlayingHistory {

    private int id;
    private String uId;
    private String icon;
    private String activity;
    private int coins;
    private int paid;
    private int status;
    private String type;
    @SerializedName("UNIX_TIMESTAMP(`date`)")
    private String date;

    public PlayingHistory() {
    }

    public PlayingHistory(int id, String uId, String icon, String activity, int coins, int paid, int status, String type, String date) {
        this.id = id;
        this.uId = uId;
        this.icon = icon;
        this.activity = activity;
        this.coins = coins;
        this.paid = paid;
        this.status = status;
        this.type = type;
        this.date = date;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getuId() {
        return uId;
    }

    public void setuId(String uId) {
        this.uId = uId;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getActivity() {
        return activity;
    }

    public void setActivity(String activity) {
        this.activity = activity;
    }

    public int getCoins() {
        return coins;
    }

    public void setCoins(int coins) {
        this.coins = coins;
    }

    public int getPaid() {
        return paid;
    }

    public void setPaid(int paid) {
        this.paid = paid;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }
}
